# $Revision: 1.11.2.5 $, $Date: 2004/07/20 23:43:05 $
#
# TODO:
# - write %post script with display short activatuion instruction
#   depending on information is httpd cnfig file is vanilla or not,
#
%include	/usr/lib/rpm/macros.perl
Summary:	Simple mail statistics for Postfix
Summary(pl):	Proste statystyki dla Postfiksa
Name:		mailgraph
Version:	1.8
Release:	2.3
License:	GPL v2
Group:		Applications/Networking
Source0:	http://people.ee.ethz.ch/~dws/software/mailgraph/pub/%{name}-%{version}.tar.gz
# Source0-md5:	f06cf84a49479529e9d280e78b7b34a9
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
Patch0:		%{name}-paths.patch
Patch1:		%{name}-postfix_rbl.patch
URL:		http://people.ee.ethz.ch/~dws/software/mailgraph/
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	postfix
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir		/var/lib/%{name}
%define		_httpappsdir		%{_datadir}/%{name}

%description
Mailgraph is a very simple mail statistics RRDtool frontend for
Postfix that produces daily, weekly, monthly and yearly graphs of
received/sent and bounced/rejected mail.

%description -l pl
Mailgraph to prosty frontend na RRDtool do statystyk pocztowych dla
Postfiksa. Produkuje wykresy dzienne, tygodniowe, miesiczne i roczne
poczty wysanej/odebranej i odbitej/odrzuconej.

%prep
%setup	-q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig,httpd},%{_bindir}} \
	$RPM_BUILD_ROOT{%{_httpappsdir},%{_pkglibdir}}

install mailgraph.cgi $RPM_BUILD_ROOT%{_httpappsdir}/index.cgi
install mailgraph.pl $RPM_BUILD_ROOT%{_bindir}/mailgraph.pl

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mailgraph
install %{SOURCE3} $RPM_BUILD_ROOT/etc/httpd/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /etc/httpd/httpd.conf ] && \
     ! grep -q "^Include.*/%{name}.conf" /etc/httpd/httpd.conf; then
	echo "Include /etc/httpd/%{name}.conf" >> /etc/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	umask 027
	grep -E -v "^Include.*%{name}.conf" /etc/httpd/httpd.conf > \
		/etc/httpd/httpd.conf.tmp
	mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/mailgraph.pl
%attr(754,root,root) /etc/rc.d/init.d/mailgraph
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/mailgraph
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/httpd/mailgraph.conf
%dir %{_httpappsdir}
%attr(755,root,root) %{_httpappsdir}/index.cgi
%attr(750,root,http) %dir %{_pkglibdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mailgraph.spec,v $
Revision 1.11.2.5  2004/07/20 23:43:05  ankry
- rel. 2.3

Revision 1.11.2.4  2004/05/19 12:52:10  blues
- release 2.2 for RA. This version has correct apache config.

Revision 1.11.2.3  2004/05/17 13:12:52  ankry
- rel. 2 for Ra

Revision 1.11.2.2  2004/05/17 08:12:47  grzegorz
- sync with HEAD version because 0.22 dies with C=pl_PL (this version not!)
- STBR to ra-updates-general

Revision 1.22  2004/02/18 17:31:18  orzech
- cleanups

Revision 1.21  2004/02/18 10:57:46  orzech
- up to 1.8
- since it's noarch, moved to _datadir/name

Revision 1.20  2004/01/28 09:53:36  orzech
- postfix_rbl patch

Revision 1.19  2004/01/27 13:27:17  orzech
- up to 1.6

Revision 1.18  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.17  2003/06/15 11:38:12  adamg
- updated to 1.4

Revision 1.16  2003/05/28 12:59:40  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:50:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/28 16:40:11  kloczek
- upgrade to 1.2,
- start prepare new httpd apps scheme,
TODO:
- write %post script with display short activatuion instruction
   depending on information is httpd cnfig file is vanilla or not
Note: NFY

Revision 1.13  2003/01/20 21:32:52  qboosh
- umask in scripts

Revision 1.12  2002/12/07 19:25:41  orzech
- /home -> /home/services

Revision 1.11  2002/10/12 17:46:47  kloczek
- updated to 0.22: added support for amavisd builtin spamassassin,
  show averages in graphs, bug fixes.

Revision 1.10  2002/08/24 18:35:23  kloczek
- (auto)updated to 0.21.

Revision 1.9  2002/07/30 12:16:15  grzegorz
- update mailgraph-paths.patch to change paths in mailgraph.pl
- rel 2
- STBR

Revision 1.8  2002/07/29 10:13:45  grzegorz
- up to 0.20
- STBR

Revision 1.7  2002/05/09 06:03:18  kloczek
- updated to 0.19.

Revision 1.6  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/19 10:21:55  grzegorz
- adaptarized

Revision 1.4  2002/01/18 02:13:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/08 02:19:39  blues
- added sources url

Revision 1.2  2001/12/06 14:59:17  qboosh
- pl description, cosmetics

Revision 1.1  2001/12/01 22:58:53  grzegorz
- PLD init spec
- STBR
